Subject: Re: bug#62637: 29.0.60; Issues when displaying images

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Apr 2023 16:03:13 +0300

> Cc: [email-masked]
> Date: Mon, 03 Apr 2023 16:35:02 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> As for indentation: put-image uses a different default for the text on
> which it puts the image 'display' property.  That explains why
> re-indentation didn't remove the image in Emacs 28.  Perhaps we should
> modify mm-inline-image to use a non-whitespace text on which to put
> the image?  Can you try that?  Lars, any reason you explicitly used
> whitespace as the STRING argument of insert-image that replaced
> put-image in mm-inline-image?

No further comments, so I've now modified mm-inline-image to use "x"
as the string on which to put the image 'display' property.
Hopefully, this will allow notmuch and other applications to re-indent
images inserted using mm-inline-image.

And with that, I'm closing the bug.